Package ru.bitel.bgbilling.kernel.contract.api.server.bean

# Class ContractGroupDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<ContractGroup>
ru.bitel.common.dao.AbstractIdDao<ContractGroup>
ru.bitel.common.dao.AbstractDirectoryIdDao<ContractGroup>
ru.bitel.bgbilling.kernel.contract.api.server.bean.ContractGroupDao

All Implemented Interfaces:
  `AutoCloseable`, `Directory<ContractGroup>`

public class ContractGroupDao extends ru.bitel.common.dao.AbstractDirectoryIdDao<ContractGroup>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractGroupDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `delete(int id)`
  Удаление группы из всех договоров.
  `ContractGroup`
  `get(int id)`
  Получение элемента по id
  `ContractGroup`
  `get(String title)`
  Получение группы по названию.
  `protected ContractGroup`
  `getFromRS(ResultSet rs)`
  `List<ContractGroup>`
  `list()`
  Получение всех 64 групп, отсортированных по ID.
  `List<ContractGroup>`
  `list(boolean all)`
  Получение групп, всех или только используемых.
  `List<ContractGroup>`
  `list(boolean all, String order)`
  Получение групп, всех или только используемых.
  `protected void`
  `updateImpl(ContractGroup b)`

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `executeUpdate, getAndDelete, getAndUpdate, opt`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, dropTemporaryTable, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

  `opt, update`

- ## Constructor Details

  - ### ContractGroupDao

    public ContractGroupDao(Connection con)

- ## Method Details

  - ### getFromRS

    protected ContractGroup getFromRS(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<ContractGroup>`
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl(ContractGroup b) throws ru.bitel.bgbilling.common.BGException, SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<ContractGroup>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### list

    public List<ContractGroup> list() throws ru.bitel.bgbilling.common.BGException
    Получение всех 64 групп, отсортированных по ID.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<ContractGroup> list(boolean all) throws ru.bitel.bgbilling.common.BGException
    Получение групп, всех или только используемых.
    Parameters:
      `all` - если true - возвращает все 64 группы, если false - только используемые (enabled==true).
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<ContractGroup> list(boolean all, String order) throws ru.bitel.bgbilling.common.BGException
    Получение групп, всех или только используемых.
    Parameters:
      `all` -
      `order` - если all==false, то можно указать порядок сортировки (id или title).
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### delete

    public int delete(int id) throws ru.bitel.bgbilling.common.BGException
    Удаление группы из всех договоров.
    Specified by:
      `delete` in interface `Directory<ContractGroup>`
    Overrides:
      `delete` in class `ru.bitel.common.dao.AbstractIdDao<ContractGroup>`
    Parameters:
      `id` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### get

    public ContractGroup get(String title) throws ru.bitel.bgbilling.common.BGException
    Получение группы по названию.
    Parameters:
      `title` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### get

    public ContractGroup get(int id) throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение элемента по id
    Specified by:
      `get` in interface `Directory<ContractGroup>`
    Overrides:
      `get` in class `ru.bitel.common.dao.AbstractIdDao<ContractGroup>`
    Parameters:
      `id` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`